package com.hai.model;

import com.hai.entity.HighAgent;
import com.hai.entity.HighCoupon;

import java.math.BigDecimal;

/**
 * @Auther: 胡锐
 * @Description:
 * @Date: 2021/4/21 21:37
 */
public class HighCouponAgentRelModel {

    private String merchantLogo;

    // 卡券信息
    private HighCoupon highCoupon;

    //代理商信息
    private HighAgent highAgent;

    // 未使用数量
    private Integer noUsedNum;

    // 未使用金额
    private BigDecimal noUsedPrice;

    // 使用数量
    private Integer usedNum;

    // 使用金额
    private BigDecimal usedPrice;

    public String getMerchantLogo() {
        return merchantLogo;
    }

    public void setMerchantLogo(String merchantLogo) {
        this.merchantLogo = merchantLogo;
    }

    public HighCoupon getHighCoupon() {
        return highCoupon;
    }

    public void setHighCoupon(HighCoupon highCoupon) {
        this.highCoupon = highCoupon;
    }

    public HighAgent getHighAgent() {
        return highAgent;
    }

    public void setHighAgent(HighAgent highAgent) {
        this.highAgent = highAgent;
    }

    public Integer getNoUsedNum() {
        return noUsedNum;
    }

    public void setNoUsedNum(Integer noUsedNum) {
        this.noUsedNum = noUsedNum;
    }

    public BigDecimal getNoUsedPrice() {
        return noUsedPrice;
    }

    public void setNoUsedPrice(BigDecimal noUsedPrice) {
        this.noUsedPrice = noUsedPrice;
    }

    public Integer getUsedNum() {
        return usedNum;
    }

    public void setUsedNum(Integer usedNum) {
        this.usedNum = usedNum;
    }

    public BigDecimal getUsedPrice() {
        return usedPrice;
    }

    public void setUsedPrice(BigDecimal usedPrice) {
        this.usedPrice = usedPrice;
    }
}
